//Letter changes
import java.util.*;
import java.io.*;

class Main {
    public static String LetterChanges(String str) {
        StringBuilder result = new StringBuilder();
        
        for (char c : str.toCharArray()) {
            if (Character.isLetter(c)) {
                // Shift letter
                if (c == 'z') {
                    c = 'a';
                } else if (c == 'Z') {
                    c = 'A';
                } else {
                    c = (char)(c + 1);
                }

                // Capitalize vowels
                if ("aeiou".indexOf(c) >= 0) {
                    c = Character.toUpperCase(c);
                }
            }
            result.append(c);
        }
        
        return result.toString();
    }

    public static void main(String[] args) {
        System.out.println(LetterChanges("hello*3"));  // Output: Ifmmp*3
        System.out.println(LetterChanges("fun times!"));  // Output: gvO Ujnft!
    }
}
